[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-exchange] branch master updated: use statoverride conditionally
From: |
gnunet |
Subject: |
[taler-exchange] branch master updated: use statoverride conditionally |
Date: |
Thu, 29 Jul 2021 15:27:59 +0200 |
This is an automated email from the git hooks/post-receive script.
dold pushed a commit to branch master
in repository exchange.
The following commit(s) were added to refs/heads/master by this push:
new 973f364a use statoverride conditionally
973f364a is described below
commit 973f364ae31a009dd25054b666d215f6b8b2fb5a
Author: Florian Dold <florian@dold.me>
AuthorDate: Thu Jul 29 15:27:54 2021 +0200
use statoverride conditionally
---
debian/taler-auditor.postinst | 6 +++++-
debian/taler-exchange.postinst | 13 +++++++++++--
2 files changed, 16 insertions(+), 3 deletions(-)
diff --git a/debian/taler-auditor.postinst b/debian/taler-auditor.postinst
index b46bf844..b515e3e2 100644
--- a/debian/taler-auditor.postinst
+++ b/debian/taler-auditor.postinst
@@ -24,7 +24,11 @@ configure)
echo " done."
fi
- dpkg-statoverride --add --update ${_USERNAME} ${_GROUPNAME} 660
/etc/taler/secrets/auditor-db.secret.conf
+ if ! dpkg-statoverride --list /etc/taler/secrets/auditor-db.secret.conf
>/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ ${_USERNAME} ${_GROUPNAME} 660 \
+ /etc/taler/secrets/auditor-db.secret.conf
+ fi
;;
diff --git a/debian/taler-exchange.postinst b/debian/taler-exchange.postinst
index 353f7d6b..637ff8e0 100644
--- a/debian/taler-exchange.postinst
+++ b/debian/taler-exchange.postinst
@@ -50,8 +50,17 @@ configure)
adduser --quiet ${_AGGRUSERNAME} ${_DBGROUPNAME}
fi
- dpkg-statoverride --add --update ${_WIREUSERNAME} root 460
/etc/taler/secrets/exchange-accounts.secret.conf
- dpkg-statoverride --add --update root ${_DBGROUPNAME} 660
/etc/taler/secrets/exchange-db.secret.conf
+ if ! dpkg-statoverride --list
/etc/taler/secrets/exchange-accounts.secret.conf >/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ ${_WIREUSERNAME} root 460 \
+ /etc/taler/secrets/exchange-accounts.secret.conf
+ fi
+
+ if ! dpkg-statoverride --list /etc/taler/secrets/exchange-db.secret.conf
>/dev/null 2>&1; then
+ dpkg-statoverride --add --update \
+ root ${_DBGROUPNAME} 660 \
+ /etc/taler/secrets/exchange-db.secret.conf
+ fi
;;
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [taler-exchange] branch master updated: use statoverride conditionally,
gnunet <=